gtk.Scrollbar
Prev | The gtk Class Reference | Next

## gtk.Scrollbar

gtk.Scrollbar — a base class for scrollbar widgets.

## Synopsis

    class gtk.Scrollbar(gtk.Range):

## Ancestry

    +-- gobject.GObject
      +-- gtk.Object
        +-- gtk.Widget
          +-- gtk.Range
            +-- gtk.Scrollbar

## Implemented Interfaces

`gtk.Scrollbar` implements `gtk.Buildable`

## gtk.Scrollbar Properties

gtk.Object Properties

gtk.Widget Properties

gtk.Range Properties

## gtk.Scrollbar Style Properties

gtk.Widget Style Properties

gtk.Range Style Properties

"fixed-slider-length" | Read | If `True` don't change the slider size, just lock it to the minimum length
"has-backward-stepper" | Read | If `True` display the standard backward arrow button
"has-forward-stepper" | Read | If `True` display the standard forward arrow button
"has-secondary-backward-stepper" | Read | If `True` display a second backward arrow button on the opposite end of the scrollbar
"has-secondary-forward-stepper" | Read | If `True` display a secondary forward arrow button on the opposite end of the scrollbar
min-slider-length"" | Read | The minimum length of scrollbar slider

## gtk.Scrollbar Signal Prototypes

gobject.GObject Signal Prototypes

gtk.Object Signal Prototypes

gtk.Widget Signal Prototypes

gtk.Range Signal Prototypes

## Description

The `gtk.Scrollbar` widget is an abstract base class for `gtk.HScrollbar` and `gtk.VScrollbar`. The position of the thumb in a scrollbar is controlled by the scroll adjustments. The `gtk.Scrollbar` uses the attributes in an adjustment (see `gtk.Adjustment`) as follows:

- the `adjustment.lower` attribute is the minimum value of the scroll region
- the `adjustment.upper` attribute is the maximum value of the scroll region
- the `adjustment.value` attribute represents the position of the scrollbar, which must be between `adjustment.lower` and `adjustment.upper` - `adjustment.page_size`
- the `adjustment.page_size` attribute represents the size of the visible scrollable area
- the `adjustment.step_increment` attribute is the distance to scroll when the small stepper arrows are clicked
- the `adjustment.page_increment` attribute is the distance to scroll when the Page Up or Page Down keys are pressed

Prev | Up | Next
gtk.ScaleButton | Home | gtk.ScrolledWindow